build:gcc8-seq-dbg:
  image: localhost:5000/ubuntu_gcc8
  stage: build
  needs: []
  script:
    - mkdir -p build/gcc8-seq-dbg
    - cd build/gcc8-seq-dbg
    - CXX=g++-8 CC=gcc-8 cmake ../.. -DCMAKE_BUILD_TYPE=Debug
    - make pugs
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc8-seq-dbg"
    paths:
      - build/gcc8-seq-dbg
    untracked: true

test:gcc8-seq-dbg:
  image: localhost:5000/ubuntu_gcc8
  stage: test
  needs: ["build:gcc8-seq-dbg"]
  script:
    - mkdir -p build/gcc8-seq-dbg
    - cd build/gcc8-seq-dbg
    - CXX=g++-8 CC=gcc-8 cmake ../.. -DCMAKE_BUILD_TYPE=Debug
    - make run_unit_tests
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc8-seq-dbg"
    paths:
      - build/gcc8-seq-dbg
    untracked: true
